---
- name: Playbook Ansible y AWS - Crea Instancia
  hosts: all
  connection: local
  gather_facts: False

  vars:
    - var_vm: vm-db12c
    - var_size: m5d.xlarge #m5.large

  tasks:

  - name: Crea Insancia
    ec2:
      region: us-east-2
      key_name: msantacruz
      instance_type: "{{ var_size }}"
      image: ami-0b500ef59d8335eee
      wait: yes
      group_id: sg-b8ce28d9
      count: 1
      vpc_subnet_id: subnet-503e3938
      assign_public_ip: yes
      instance_tags:
        demo: db12c
        vm: rhel
      volumes:
        - device_name: /dev/sda1
          volume_size: 100
          delete_on_termination: true
